commit 78c2bf74596dea2d90272c237994fd3a6b3c17cb
Author: Katja Luther <k.luther@bgbm.org>
Date:   Mon Oct 26 12:44:55 2009 +0000

    licence comment added

diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/common/CdmDestinations.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/common/CdmDestinations.java
index 21b356e3d1..9ac32502f6 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/common/CdmDestinations.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/common/CdmDestinations.java
@@ -81,7 +81,8 @@ public class CdmDestinations {
 		String cdmServer = "192.168.2.10";
 		String cdmDB = "cdm_test_jaxb"; 
 		String cdmUserName = "edit";
-		return makeDestination(cdmServer, cdmDB, -1, cdmUserName, null);
+		String pwd = "wp5";
+		return makeDestination(cdmServer, cdmDB, -1, cdmUserName, pwd);
 	}
 	
 	public static ICdmDataSource cdm_test_jaxb2(){
@@ -89,7 +90,8 @@ public class CdmDestinations {
 		String cdmServer = "192.168.2.10";
 		String cdmDB = "cdm_test_jaxb2"; 
 		String cdmUserName = "edit";
-		return makeDestination(cdmServer, cdmDB, -1, cdmUserName, null);
+		String pwd = "wp5";
+		return makeDestination(cdmServer, cdmDB, -1, cdmUserName, pwd);
 	}
 
 	public static ICdmDataSource cdm_test_andreas_diptera(){
@@ -244,6 +246,7 @@ public class CdmDestinations {
 		String cdmServer = "127.0.0.1";
 		String cdmDB = "cdm_edit_diptera";
 		String cdmUserName = "edit";
+		
 		return makeDestination(cdmServer, cdmDB, -1, cdmUserName, null);
 	}
 	
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/jaxb/CdmExportImportActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/jaxb/CdmExportImportActivator.java
index 0ff97e2156..979fceac44 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/jaxb/CdmExportImportActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/jaxb/CdmExportImportActivator.java
@@ -30,7 +30,7 @@ import eu.etaxonomy.cdm.io.jaxb.JaxbImportConfigurator;
 public class CdmExportImportActivator {
 
 	/* SerializeFrom DB **/
-	private static final ICdmDataSource source = CdmDestinations.cdm_test_jaxb();
+	private static final ICdmDataSource source = CdmDestinations.localH2();
 	private static final ICdmDataSource destination = CdmDestinations.cdm_test_jaxb();
 
 	// Import:
@@ -132,7 +132,7 @@ public class CdmExportImportActivator {
 		// Init source DB
 		CdmApplicationController appCtrInit = null;
 
-		appCtrInit = TestDatabase.initDb(db, DbSchemaValidation.VALIDATE, false);
+		appCtrInit = TestDatabase.initDb(db, DbSchemaValidation.CREATE, false);
 
 		return appCtrInit;
 	}
@@ -156,7 +156,7 @@ public class CdmExportImportActivator {
 		appCtr = sc.initDb(source);
 		//appCtr = sc.initDb(destination);
 		
-		//sc.loadTestData(appCtr);
+		sc.loadTestData(appCtr);
 		
 		sc.invokeExport();
 		//sc.invokeImport();
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/util/TestDatabase.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/util/TestDatabase.java
index 19a73183b5..0e9b92b6d9 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/util/TestDatabase.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/util/TestDatabase.java
@@ -28,12 +28,17 @@ import eu.etaxonomy.cdm.model.agent.InstitutionalMembership;
 import eu.etaxonomy.cdm.model.agent.Person;
 import eu.etaxonomy.cdm.model.common.AnnotatableEntity;
 import eu.etaxonomy.cdm.model.common.DefinedTermBase;
+import eu.etaxonomy.cdm.model.common.IdentifiableSource;
 import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.TimePeriod;
 import eu.etaxonomy.cdm.model.common.VersionableEntity;
 import eu.etaxonomy.cdm.model.common.init.TermNotFoundException;
 import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
 import eu.etaxonomy.cdm.model.description.Feature;
+import eu.etaxonomy.cdm.model.description.IndividualsAssociation;
+import eu.etaxonomy.cdm.model.description.QuantitativeData;
+import eu.etaxonomy.cdm.model.description.StatisticalMeasure;
+import eu.etaxonomy.cdm.model.description.StatisticalMeasurementValue;
 import eu.etaxonomy.cdm.model.description.TaxonDescription;
 import eu.etaxonomy.cdm.model.description.TaxonInteraction;
 import eu.etaxonomy.cdm.model.description.TaxonNameDescription;
@@ -44,6 +49,8 @@ import eu.etaxonomy.cdm.model.name.BotanicalName;
 import eu.etaxonomy.cdm.model.name.NomenclaturalCode;
 import eu.etaxonomy.cdm.model.name.Rank;
 import eu.etaxonomy.cdm.model.name.TaxonNameBase;
+import eu.etaxonomy.cdm.model.occurrence.Specimen;
+import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
 import eu.etaxonomy.cdm.model.reference.Book;
 import eu.etaxonomy.cdm.model.reference.Database;
 import eu.etaxonomy.cdm.model.reference.ReferenceBase;
@@ -127,8 +134,27 @@ public class TestDatabase {
 	    
 	    TaxonNameDescription taxNameDescription = TaxonNameDescription.NewInstance();
 	    taxNameDescription.addFeature(feature1);
+	    QuantitativeData element = QuantitativeData.NewInstance();
+	    StatisticalMeasurementValue statisticalValue = StatisticalMeasurementValue.NewInstance();
+	    statisticalValue.setType(StatisticalMeasure.MAX());
+	    statisticalValue.setValue((float) 2.1);
+	    element.addStatisticalValue(statisticalValue);
+	    taxNameDescription.addElement(element);
+	    
+	    SpecimenOrObservationBase specimen = Specimen.NewInstance();
+	    
+	    specimen.setIndividualCount(12);
+	    
+	    
+	    Feature featureIndAss = Feature.INDIVIDUALS_ASSOCIATION();
+	    TaxonNameDescription newTaxNameDesc = TaxonNameDescription.NewInstance();
+	    newTaxNameDesc.addFeature(featureIndAss);
+	    IndividualsAssociation indAss = IndividualsAssociation.NewInstance();
+	    indAss.setAssociatedSpecimenOrObservation(specimen);
+	    
+	    newTaxNameDesc.addElement(indAss);
+	    
 	    
-	    	    
 	    
 	    
 //	    List<Synonym> synonyms = new ArrayList<Synonym>();
@@ -187,6 +213,7 @@ public class TestDatabase {
 		
 		nameRoot1 = BotanicalName.NewInstance(rankGenus,"Calendula",null,null,null,linne,null,"p.100", null);
 		nameRoot1.addDescription(taxNameDescription);
+		nameRoot1.addDescription(newTaxNameDesc);
 		name1 = BotanicalName.NewInstance(rankSpecies,"Calendula",null,"arvensis",null,linne,null,"p.1", null);
 		synName11 = BotanicalName.NewInstance(rankSpecies,"Caltha",null,"arvensis",null,linne,null,"p.11", null);
 		synName12 = BotanicalName.NewInstance(rankSpecies,"Calendula",null,"sancta",null,linne,null,"p.12", null);
@@ -328,11 +355,11 @@ public class TestDatabase {
 		dataSet.setTerms(terms);
 		dataSet.setAgents(agents);
 //		dataSet.setAgentData(agentData); //TODO
-		dataSet.setTerms(terms);
 		dataSet.setReferences(references);
 		dataSet.setTaxonomicNames(taxonomicNames);
 		dataSet.setTaxonBases(taxonBases);
 		
+		
 		return dataSet;
 
 	}
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/database/DataSourceReloader.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/database/DataSourceReloader.java
index 501ff8c704..e52e98a3c6 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/database/DataSourceReloader.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/database/DataSourceReloader.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.database;
 
 import java.util.Map;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/database/NamedContextHolder.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/database/NamedContextHolder.java
index 62f6578316..58786faaaa 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/database/NamedContextHolder.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/database/NamedContextHolder.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.database;
 
 import org.springframework.util.Assert;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/database/UpdatableRoutingDataSource.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/database/UpdatableRoutingDataSource.java
index a45514c700..94fe804c71 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/database/UpdatableRoutingDataSource.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/database/UpdatableRoutingDataSource.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.database;
 
 import java.io.File;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/AuditEventSort.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/AuditEventSort.java
index 1954dfcd5a..d250a4c94e 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/AuditEventSort.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/AuditEventSort.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.common;
 
 public enum AuditEventSort {
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IGrantedAuthorityDao.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IGrantedAuthorityDao.java
index 6890da54bb..33f5008988 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IGrantedAuthorityDao.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IGrantedAuthorityDao.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.common;
 
 import eu.etaxonomy.cdm.model.common.GrantedAuthorityImpl;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IGroupDao.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IGroupDao.java
index fd47ed0f6b..d00517f7ec 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IGroupDao.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IGroupDao.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.common;
 
 import java.util.List;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/ILsidAuthorityDao.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/ILsidAuthorityDao.java
index 95d0d72872..c79357e1b8 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/ILsidAuthorityDao.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/ILsidAuthorityDao.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.common;
 
 import eu.etaxonomy.cdm.model.common.IIdentifiableEntity;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IMarkerDao.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IMarkerDao.java
index b69e562ae9..a6b8f091ea 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IMarkerDao.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IMarkerDao.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.common;
 
 import eu.etaxonomy.cdm.model.common.Marker;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IRepresentationDao.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IRepresentationDao.java
index ac2520e48d..37cbc3838f 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IRepresentationDao.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IRepresentationDao.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.common;
 
 import java.util.List;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/ISearchableDao.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/ISearchableDao.java
index 3b615e975b..9e365fc9e7 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/ISearchableDao.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/ISearchableDao.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.common;
 
 import java.util.List;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IUserDao.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IUserDao.java
index 2edb50d0b2..784b3a9a39 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IUserDao.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IUserDao.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.common;
 
 import eu.etaxonomy.cdm.model.common.User;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IVersionableDao.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IVersionableDao.java
index 30d8fd3b11..0b451d8964 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IVersionableDao.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/IVersionableDao.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.common;
 
 import java.util.List;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/OperationNotSupportedInPriorViewException.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/OperationNotSupportedInPriorViewException.java
index d8e2691977..bf64d7b6b3 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/OperationNotSupportedInPriorViewException.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/common/OperationNotSupportedInPriorViewException.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.common;
 
 public class OperationNotSupportedInPriorViewException extends
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/description/IDescriptionElementDao.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/description/IDescriptionElementDao.java
index 586a85d6ff..48b36f4d23 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/description/IDescriptionElementDao.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/description/IDescriptionElementDao.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.description;
 
 import java.util.List;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/HibernateProxyHelperExtended.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/HibernateProxyHelperExtended.java
index 1caf3d3e4d..4654fd688c 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/HibernateProxyHelperExtended.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/HibernateProxyHelperExtended.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.hibernate;
 
 import org.hibernate.envers.entities.mapper.relation.lazy.proxy.MapProxy;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/AnnotationDaoImpl.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/AnnotationDaoImpl.java
index db1760c0a6..bb90690386 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/AnnotationDaoImpl.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/AnnotationDaoImpl.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.hibernate.common;
 
 import java.util.List;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/GrantedAuthorityDaoImpl.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/GrantedAuthorityDaoImpl.java
index 74ce6ddb44..d4bb5da8a5 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/GrantedAuthorityDaoImpl.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/GrantedAuthorityDaoImpl.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.hibernate.common;
 
 import org.springframework.stereotype.Repository;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/GroupDaoImpl.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/GroupDaoImpl.java
index 4810b7a6cf..957d76bca4 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/GroupDaoImpl.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/GroupDaoImpl.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.hibernate.common;
 
 import java.util.List;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/LsidAuthorityDaoImpl.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/LsidAuthorityDaoImpl.java
index ce22769e33..4f6d3ab071 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/LsidAuthorityDaoImpl.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/LsidAuthorityDaoImpl.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.hibernate.common;
 
 import org.hibernate.Query;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/MarkerDaoImpl.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/MarkerDaoImpl.java
index c31826c802..bd32abeba0 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/MarkerDaoImpl.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/MarkerDaoImpl.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.hibernate.common;
 
 import org.springframework.stereotype.Repository;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/UserDaoImpl.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/UserDaoImpl.java
index e95e568046..2e5c84fd20 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/UserDaoImpl.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/UserDaoImpl.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.hibernate.common;
 
 import org.hibernate.Hibernate;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/VersionableDaoBase.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/VersionableDaoBase.java
index 6b2a43d3aa..85e0a7a0ff 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/VersionableDaoBase.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/VersionableDaoBase.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.hibernate.common;
 
 import java.util.ArrayList;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/occurrence/CollectionDaoHibernateImpl.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/occurrence/CollectionDaoHibernateImpl.java
index a286b3e433..0185d5fc13 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/occurrence/CollectionDaoHibernateImpl.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/occurrence/CollectionDaoHibernateImpl.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.hibernate.occurrence;
 
 import java.util.ArrayList;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/taxon/TaxonAlternativeSpellingSuggestionParser.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/taxon/TaxonAlternativeSpellingSuggestionParser.java
index 11d0fae1df..04a26bb76b 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/taxon/TaxonAlternativeSpellingSuggestionParser.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/taxon/TaxonAlternativeSpellingSuggestionParser.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.hibernate.taxon;
 
 
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/view/AuditEventDao.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/view/AuditEventDao.java
index 974de68fad..64b2647336 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/view/AuditEventDao.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/hibernate/view/AuditEventDao.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.hibernate.view;
 
 import java.util.List;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/occurrence/ICollectionDao.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/occurrence/ICollectionDao.java
index 3c84ff84ef..73688468b3 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/occurrence/ICollectionDao.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/dao/occurrence/ICollectionDao.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.occurrence;
 
 import java.util.List;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/hibernate/SaveEntityListener.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/hibernate/SaveEntityListener.java
index d1f3df905b..3cd86e24ff 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/hibernate/SaveEntityListener.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/hibernate/SaveEntityListener.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.hibernate;
 
 import org.apache.log4j.Logger;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/hibernate/UpdateEntityListener.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/hibernate/UpdateEntityListener.java
index ab7b3ab012..883e0a6dfb 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/hibernate/UpdateEntityListener.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/hibernate/UpdateEntityListener.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.hibernate;
 
 import org.apache.log4j.Logger;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/query/GroupByCount.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/query/GroupByCount.java
index c278035201..096bb45b35 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/query/GroupByCount.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/query/GroupByCount.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.query;
 
 import org.hibernate.criterion.ProjectionList;
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/query/GroupByDate.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/query/GroupByDate.java
index 3a582d29f9..f11cf20fc6 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/query/GroupByDate.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/query/GroupByDate.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.query;
 
 
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/query/Grouping.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/query/Grouping.java
index a5b47ef151..e20f99dc6f 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/query/Grouping.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/query/Grouping.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.query;
 
 
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/query/OrderHint.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/query/OrderHint.java
index c49353cf1f..9dda49bb5b 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/query/OrderHint.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/query/OrderHint.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.query;
 
 public class OrderHint {
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/view/IAuditEventDao.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/view/IAuditEventDao.java
index 7f27b1d754..5760cb9015 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/view/IAuditEventDao.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/view/IAuditEventDao.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.view;
 
 import java.util.List;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/database/CdmPersistentDataSourceTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/database/CdmPersistentDataSourceTest.java
index a884a7ac6c..18cd30848c 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/database/CdmPersistentDataSourceTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/database/CdmPersistentDataSourceTest.java
@@ -1,6 +1,12 @@
 /**
- * 
- */
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.database;
 
 import static org.junit.Assert.assertEquals;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/database/DatabaseEnumTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/database/DatabaseEnumTest.java
index 9e762a056a..ed1342c17f 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/database/DatabaseEnumTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/database/DatabaseEnumTest.java
@@ -1,6 +1,12 @@
 /**
- * 
- */
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.database;
 
 import static org.junit.Assert.*;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/database/PersistentTermInitializerTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/database/PersistentTermInitializerTest.java
index 2d8257437d..a5e5b7bb55 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/database/PersistentTermInitializerTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/database/PersistentTermInitializerTest.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.database;
 
 import static org.junit.Assert.assertEquals;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/database/TestingTermInitializer.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/database/TestingTermInitializer.java
index 3223da19d0..aabd377f7c 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/database/TestingTermInitializer.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/database/TestingTermInitializer.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.database;
 
 import java.io.InputStreamReader;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/database/TestingTermInitializerTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/database/TestingTermInitializerTest.java
index c926865506..ae6418f682 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/database/TestingTermInitializerTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/database/TestingTermInitializerTest.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.database;
 
 import static org.junit.Assert.assertEquals;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/datagenerator/TaxonGenerator.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/datagenerator/TaxonGenerator.java
index 442cda03ed..a498991b03 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/datagenerator/TaxonGenerator.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/datagenerator/TaxonGenerator.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.datagenerator;
 
 import java.util.Random;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/BeanInitializerIntegration.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/BeanInitializerIntegration.java
index e100302faa..9471c04a28 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/BeanInitializerIntegration.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/BeanInitializerIntegration.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao;
 
 import static org.junit.Assert.assertFalse;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/FreeTextSearchIntegration.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/FreeTextSearchIntegration.java
index 3a61948166..55d59223fc 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/FreeTextSearchIntegration.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/FreeTextSearchIntegration.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.hibernate;
 import static org.junit.Assert.assertEquals;
 import static org.junit.Assert.assertNotNull;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/agent/AgentDaoImplTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/agent/AgentDaoImplTest.java
index f326442778..b7c8777687 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/agent/AgentDaoImplTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/agent/AgentDaoImplTest.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.hibernate.agent;
 
 import static org.junit.Assert.assertEquals;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/CdmGenericDaoImplTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/CdmGenericDaoImplTest.java
index 2d6028ae2a..acb374ffea 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/CdmGenericDaoImplTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/CdmGenericDaoImplTest.java
@@ -549,9 +549,9 @@ public class CdmGenericDaoImplTest extends CdmTransactionalIntegrationTest{
 		Set<CdmBase> referencedObjects = cdmGenericDao.getReferencingObjects(ref1);
 		System.out.println("############## RESULT ###################");
 		for (CdmBase obj: referencedObjects){
-			System.out.println("Object: " + obj.getClass().getSimpleName() + " - " + obj);
+			System.out.println("Object1: " + obj.getClass().getSimpleName() + " - " + obj);
 		}
-		assertEquals(3, referencedObjects.size());
+		assertEquals(2, referencedObjects.size());
 		System.out.println("############## ENDE ###################");
 		
 //		UUID uuidAuthor = UUID.fromString("4ce66544-a5a3-4601-ab0b-1f0a1338327b");
@@ -560,7 +560,7 @@ public class CdmGenericDaoImplTest extends CdmTransactionalIntegrationTest{
 		referencedObjects = cdmGenericDao.getReferencingObjects(author);
 		System.out.println("############## RESULT ###################");
 		for (CdmBase obj: referencedObjects){
-			System.out.println("Object: " + obj.getClass().getSimpleName() + " - " + obj);
+			System.out.println("Object2: " + obj.getClass().getSimpleName() + " - " + obj);
 		}
 		assertEquals(2, referencedObjects.size());
 		System.out.println("############## ENDE ###################");
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/IdentifiableDaoBaseTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/IdentifiableDaoBaseTest.java
index f169d3a4f2..25eccbb3e2 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/IdentifiableDaoBaseTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/IdentifiableDaoBaseTest.java
@@ -1,6 +1,12 @@
 /**
- * 
- */
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.hibernate.common;
 
 import static org.junit.Assert.assertEquals;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/UserDaoHibernateImplTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/UserDaoHibernateImplTest.java
index 14eb51424f..7545a93fbd 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/UserDaoHibernateImplTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/UserDaoHibernateImplTest.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.hibernate.common;
 
 import static org.junit.Assert.assertNotNull;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/ConfigurableNameCacheStrategyGeneratorsTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/ConfigurableNameCacheStrategyGeneratorsTest.java
index 093450fedb..0361594da9 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/ConfigurableNameCacheStrategyGeneratorsTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/ConfigurableNameCacheStrategyGeneratorsTest.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.hibernate.name;
 
 import static org.junit.Assert.assertEquals;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/TaxonNameDaoHibernateImplTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/TaxonNameDaoHibernateImplTest.java
index c2b2a85721..42408577c7 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/TaxonNameDaoHibernateImplTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/TaxonNameDaoHibernateImplTest.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.hibernate.name;
 
 import static org.junit.Assert.assertEquals;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/TestingBotanicalNameCacheStrategy.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/TestingBotanicalNameCacheStrategy.java
index 4a7188cf60..8277fcd3a7 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/TestingBotanicalNameCacheStrategy.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/TestingBotanicalNameCacheStrategy.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.hibernate.name;
 
 import java.util.List;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/TestingZoologicalNameCacheStrategy.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/TestingZoologicalNameCacheStrategy.java
index 02a794f74c..972b16f703 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/TestingZoologicalNameCacheStrategy.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/TestingZoologicalNameCacheStrategy.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.hibernate.name;
 
 import java.util.List;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/reference/ReferenceDaoHibernateImplTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/reference/ReferenceDaoHibernateImplTest.java
index e02f60627a..2f2526783b 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/reference/ReferenceDaoHibernateImplTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/reference/ReferenceDaoHibernateImplTest.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.hibernate.reference;
 
 import java.util.UUID;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/taxon/TaxonDaoHibernateImplTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/taxon/TaxonDaoHibernateImplTest.java
index 9ecf45b317..2c9b5a0b11 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/taxon/TaxonDaoHibernateImplTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/taxon/TaxonDaoHibernateImplTest.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.hibernate.taxon;
 
 import static junit.framework.Assert.assertEquals;
@@ -97,6 +106,7 @@ public class TaxonDaoHibernateImplTest extends CdmTransactionalIntegrationTest {
 
 	@Before
 	public void setUp() {
+		
 		uuid = UUID.fromString("496b1325-be50-4b0a-9aa2-3ecd610215f2");
 		sphingidae = UUID.fromString("54e767ee-894e-4540-a758-f906ecb4e2d9");
 		acherontia = UUID.fromString("c5cc8674-4242-49a4-aada-72d63194f5fa");
@@ -261,11 +271,11 @@ public class TaxonDaoHibernateImplTest extends CdmTransactionalIntegrationTest {
 		Taxon taxonRethera = (Taxon)taxonDao.findByUuid(rethera);
 		taxonRethera.addSynonym(synAtroposAgassiz, SynonymRelationshipType.SYNONYM_OF());
 		logger.warn("addSynonym(..)");
-		
+		this.taxonDao.clear();
 		Synonym synAtroposLeach = (Synonym)taxonDao.findByUuid(atroposLeach);
 		Taxon taxonRetheraSecCdmtest = (Taxon)taxonDao.findByUuid(retheraSecCdmtest);
 		taxonRetheraSecCdmtest.addSynonym(synAtroposLeach, SynonymRelationshipType.SYNONYM_OF());
-		
+		this.taxonDao.clear();
 		// 1. searching for a taxon (Rethera)
 		List<TaxonBase> results = taxonDao.getTaxaByName(Taxon.class, "Rethera", null, MatchMode.BEGINNING, namedAreas,
 			null, null, null);
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/taxon/TaxonNodeDaoHibernateImplTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/taxon/TaxonNodeDaoHibernateImplTest.java
index a30aa4657d..85c57cd8ed 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/taxon/TaxonNodeDaoHibernateImplTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/taxon/TaxonNodeDaoHibernateImplTest.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.persistence.dao.hibernate.taxon;
 
 import static junit.framework.Assert.assertNotNull;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/function/Datasource.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/function/Datasource.java
index f7d2ac586d..f3a09b3622 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/function/Datasource.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/function/Datasource.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.test.function;
 
 import org.apache.log4j.Logger;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/function/TestPersistence.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/function/TestPersistence.java
index 129a2db51a..9b89bb05c9 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/function/TestPersistence.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/function/TestPersistence.java
@@ -1,5 +1,12 @@
 /* just for testing */
-
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
 
 package eu.etaxonomy.cdm.test.function;
 
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/function/TestSessionFactory.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/function/TestSessionFactory.java
index 0115cfbffa..d76bdfc786 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/function/TestSessionFactory.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/function/TestSessionFactory.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.test.function;
 
 
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/CdmIntegrationTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/CdmIntegrationTest.java
index 549a41df0b..9394c54432 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/CdmIntegrationTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/CdmIntegrationTest.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.test.integration;
 
 import java.io.ByteArrayOutputStream;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/CdmTransactionalIntegrationTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/CdmTransactionalIntegrationTest.java
index f79628eeef..9a331fb80e 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/CdmTransactionalIntegrationTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/CdmTransactionalIntegrationTest.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.test.integration;
 
 import org.junit.After;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/HSQLDialect.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/HSQLDialect.java
index 3b73e9ca94..a410db5586 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/HSQLDialect.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/HSQLDialect.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.test.integration;
 
 import java.sql.Types;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/HsqldbDataTypeFactory.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/HsqldbDataTypeFactory.java
index 80be2fe73e..24f32ce25b 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/HsqldbDataTypeFactory.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/integration/HsqldbDataTypeFactory.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.test.integration;
 
 import java.sql.Types;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/suite/CdmTestSuite.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/suite/CdmTestSuite.java
index 1e139bf98c..b61852afcd 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/suite/CdmTestSuite.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/suite/CdmTestSuite.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.test.suite;
 
 import org.junit.runner.RunWith;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/unit/CdmUnitTestBase.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/unit/CdmUnitTestBase.java
index 3bc09da5aa..a68da6c489 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/unit/CdmUnitTestBase.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/test/unit/CdmUnitTestBase.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.test.unit;
 
 import org.junit.runner.RunWith;
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/conversation/ConversationHolder.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/conversation/ConversationHolder.java
index 17a1104b9c..0ac070757c 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/conversation/ConversationHolder.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/conversation/ConversationHolder.java
@@ -1,6 +1,12 @@
 /**
- * 
- */
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.api.conversation;
 
 import javax.sql.DataSource;
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/CollectionServiceImpl.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/CollectionServiceImpl.java
index fbf796673b..6052d56c8e 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/CollectionServiceImpl.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/CollectionServiceImpl.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.api.service;
 
 import java.util.ArrayList;
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/FeatureTreeServiceImpl.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/FeatureTreeServiceImpl.java
index c549b1f774..5df4e4934d 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/FeatureTreeServiceImpl.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/FeatureTreeServiceImpl.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.api.service;
 
 import java.util.ArrayList;
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/ICollectionService.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/ICollectionService.java
index 7c590ba5a5..733f414e06 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/ICollectionService.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/ICollectionService.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.api.service;
 
 import java.util.List;
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IFeatureTreeService.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IFeatureTreeService.java
index 79a54d4ae9..816b6343a8 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IFeatureTreeService.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IFeatureTreeService.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.api.service;
 
 import java.util.List;
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IOccurrenceService.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IOccurrenceService.java
index 8a567a799e..60b148b85b 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IOccurrenceService.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IOccurrenceService.java
@@ -1,9 +1,12 @@
 // $Id$
 /**
-* Copyright (C) 2008 EDIT
-* European Distributed Institute of Taxonomy 
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
-*/
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
 
 package eu.etaxonomy.cdm.api.service;
 
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IUserService.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IUserService.java
index 897701f763..5cb05f3f35 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IUserService.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IUserService.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.api.service;
 
 import org.springframework.dao.DataAccessException;
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IVocabularyService.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IVocabularyService.java
index 941f7b6fe6..2d1b2374dc 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IVocabularyService.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IVocabularyService.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.api.service;
 
 import java.util.List;
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/VocabularyServiceImpl.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/VocabularyServiceImpl.java
index 9a02c331ad..2ac06a597d 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/VocabularyServiceImpl.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/VocabularyServiceImpl.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.api.service;
 
 import java.util.ArrayList;
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/validation/constraint/NoDuplicateNamesValidator.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/validation/constraint/NoDuplicateNamesValidator.java
index 9d4ebb7b16..8b6d1a6a1d 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/validation/constraint/NoDuplicateNamesValidator.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/validation/constraint/NoDuplicateNamesValidator.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.validation.constraint;
 
 import javax.validation.ConstraintValidator;
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/CommonServiceImplTest.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/CommonServiceImplTest.java
index 195866fa58..b12fd277ea 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/CommonServiceImplTest.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/CommonServiceImplTest.java
@@ -1,6 +1,12 @@
 /**
- * 
- */
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.api.service;
 
 import static org.junit.Assert.assertEquals;
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/TaxonServiceImplTest.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/TaxonServiceImplTest.java
index 5bcf3b20ec..0d94f11d40 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/TaxonServiceImplTest.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/TaxonServiceImplTest.java
@@ -1,6 +1,12 @@
 /**
- * 
- */
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.api.service;
 
 import static org.junit.Assert.assertEquals;
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/UserServiceImplTest.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/UserServiceImplTest.java
index d29dc7987a..60f3f8cba3 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/UserServiceImplTest.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/UserServiceImplTest.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.api.service;
 
 
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/lsid/LSIDAuthorityServiceTest.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/lsid/LSIDAuthorityServiceTest.java
index b6ea3c9008..dfae47687b 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/lsid/LSIDAuthorityServiceTest.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/lsid/LSIDAuthorityServiceTest.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.api.service.lsid;
 
 import static org.custommonkey.xmlunit.XMLAssert.assertXMLEqual;
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/lsid/LSIDDataServiceTest.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/lsid/LSIDDataServiceTest.java
index d6a96a9a54..d8a2c98829 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/lsid/LSIDDataServiceTest.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/lsid/LSIDDataServiceTest.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.api.service.lsid;
 
 import static org.junit.Assert.assertNotNull;
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/lsid/LSIDMetadataServiceTest.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/lsid/LSIDMetadataServiceTest.java
index 98deb1fa50..54d3ca72c0 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/lsid/LSIDMetadataServiceTest.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/lsid/LSIDMetadataServiceTest.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.api.service.lsid;
 
 import static org.junit.Assert.assertEquals;
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/lsid/LSIDRegistryTest.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/lsid/LSIDRegistryTest.java
index 32b42d2c51..e1d00a6960 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/lsid/LSIDRegistryTest.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/lsid/LSIDRegistryTest.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.api.service.lsid;
 
 import static org.junit.Assert.assertEquals;
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/pager/PagerTest.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/pager/PagerTest.java
index d8868c12bd..eb6f381e1b 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/pager/PagerTest.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/service/pager/PagerTest.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.api.service.pager;
 
 import java.util.ArrayList;
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/Datasource.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/Datasource.java
index f306e0f80d..6774c6c9e5 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/Datasource.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/Datasource.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.test.function;
 
 import java.io.IOException;
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/TestAgentService.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/TestAgentService.java
index 769998f771..3ce117e2d7 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/TestAgentService.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/TestAgentService.java
@@ -1,6 +1,12 @@
 /**
- * 
- */
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.test.function;
 
 
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/TestConcurrentSession.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/TestConcurrentSession.java
index b93316c16f..6e97d63ca5 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/TestConcurrentSession.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/TestConcurrentSession.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.test.function;
 
 import static org.junit.Assert.assertEquals;
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/TestDatabase.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/TestDatabase.java
index 179b53737c..ad0e453c2b 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/TestDatabase.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/TestDatabase.java
@@ -1,4 +1,12 @@
 /* just for testing */
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
 
 package eu.etaxonomy.cdm.test.function;
 
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/TestService.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/TestService.java
index 3dd31f103d..063fcacde3 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/TestService.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/TestService.java
@@ -1,5 +1,12 @@
 /* just for testing */
-
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
 
 package eu.etaxonomy.cdm.test.function;
 
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/TestTaxonFunction.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/TestTaxonFunction.java
index f5e209ab88..8f5c5971d8 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/TestTaxonFunction.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/function/TestTaxonFunction.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.test.function;
 
 import java.util.List;
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/integration/CreateDataTest.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/integration/CreateDataTest.java
index a8007fe579..09c1130a15 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/integration/CreateDataTest.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/integration/CreateDataTest.java
@@ -1,3 +1,11 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
 
 package eu.etaxonomy.cdm.test.integration;
 
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/integration/TermLoaderIntegrationTest.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/integration/TermLoaderIntegrationTest.java
index 49c7fde68d..65522ecd9a 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/integration/TermLoaderIntegrationTest.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/integration/TermLoaderIntegrationTest.java
@@ -1,6 +1,12 @@
 /**
- * 
- */
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.test.integration;
 
 import static org.junit.Assert.assertEquals;
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/suite/CdmTestSuite.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/suite/CdmTestSuite.java
index 9cbd76c442..14678ca5c7 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/suite/CdmTestSuite.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/suite/CdmTestSuite.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.test.suite;
 
 import org.junit.runner.RunWith;
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/unit/CdmUnitTestBase.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/unit/CdmUnitTestBase.java
index 3bc09da5aa..a68da6c489 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/unit/CdmUnitTestBase.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/unit/CdmUnitTestBase.java
@@ -1,3 +1,12 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.test.unit;
 
 import org.junit.runner.RunWith;
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/CorrectEpithetsForRankTest.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/CorrectEpithetsForRankTest.java
index 5be0c7049a..37b0afb8d1 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/CorrectEpithetsForRankTest.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/CorrectEpithetsForRankTest.java
@@ -1,6 +1,12 @@
 /**
- * 
- */
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.validation;
 
 import static org.junit.Assert.assertEquals;
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/MustHaveAuthorityTest.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/MustHaveAuthorityTest.java
index 118d5941ce..450b9c6aa5 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/MustHaveAuthorityTest.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/MustHaveAuthorityTest.java
@@ -1,6 +1,12 @@
 /**
- * 
- */
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.validation;
 
 import static org.junit.Assert.assertEquals;
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/NameValidCharactersTest.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/NameValidCharactersTest.java
index 116a45d141..768f9eb55a 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/NameValidCharactersTest.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/NameValidCharactersTest.java
@@ -1,6 +1,12 @@
 /**
- * 
- */
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.validation;
 
 import static org.junit.Assert.assertEquals;
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/ReferenceValidationTest.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/ReferenceValidationTest.java
index aff7e8258b..8c7b33607a 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/ReferenceValidationTest.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/ReferenceValidationTest.java
@@ -1,6 +1,12 @@
 /**
- * 
- */
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.validation;
 
 import static org.junit.Assert.assertEquals;
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/ValidationTest.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/ValidationTest.java
index ff062f3f61..2b0aab4ff0 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/ValidationTest.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/ValidationTest.java
@@ -1,6 +1,12 @@
 /**
- * 
- */
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
 package eu.etaxonomy.cdm.validation;
 
 import static org.junit.Assert.assertEquals;
